%define			realname	quickaccess

Distribution:		CCux
Packager:		Christian Metzen <metzench@ccux-linux.de>

Name:			plasmoid-quickaccess
Version:		0.7.1
Release:		1
License:		GNU/GPL
URL:			http://kde-look.org/content/show.php/QuickAccess?content=84128
Group:			Graphical Desktop/KDE4/Plasmoids
Summary:		Weather Plasmoid
Source0:		%{realname}-%{version}.tar.gz
BuildRoot:		%{_tmppath}/%{name}-buildroot
BuildRequires:		libICE-devel
BuildRequires:		qt4-devel
BuildRequires:		libSM-devel
BuildRequires:		libX11-devel
BuildRequires:		phonon-devel
BuildRequires:		kdebase-workspace-devel
BuildRequires:		automoc4

Requires(post):		desktop-file-utils
Requires(postun):	desktop-file-utils

# Require for rpm lzma compression transition
Requires:	rpm >= 4.4.2.3-1

%description
This is a small applet designed for the panel to have quick access to the most used folders.

%post
/sbin/ldconfig
touch --no-create %_datadir/icons/hicolor ||:
gtk-update-icon-cache -q %_datadir/icons/hicolor 2> /dev/null ||:
update-desktop-database %_datadir/applications > /dev/null 2>&1 ||:

%postun
/sbin/ldconfig
touch --no-create %_datadir/icons/hicolor ||:
gtk-update-icon-cache -q %_datadir/icons/hicolor 2> /dev/null ||:
update-desktop-database %_datadir/applications > /dev/null 2>&1 ||:

%prep
%setup -q -n %{realname}-%{version}

%build
cmake -DCMAKE_INSTALL_PREFIX=`kde4-config --prefix` .
make

%install
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%_prefix

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Sep 11 2008 Christian Metzen <metzench@ccux-linux.de> 0.7.1-1
- Initial release
